> For the complete documentation index, see [llms.txt](https://docs.dikesoft.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.dikesoft.com/reference/type-aliases/columns.md).

# Columns

## &#x20;DikeColumnDataType

```typescript
type DikeColumnDataType = 'Text' | 'Numeric' | 'Date' | 'Binary';
```

## DisplayStatus

```typescript
type DisplayStatus = 'closed' | 'open';
```

## ColumnAlignment

```typescript
type ColumnAlignment = 'left' | 'center' | 'right' | 'start' | 'end';
```

## DikeContentPanel

```typescript
type DikeContentPanel = 'leftPanel' | 'centerPanel' | 'rightPanel';
```

## DikeGroupPanel

```typescript
type DikeGroupPanel = 'groupPanel';
```

## DikeGridPanel

```typescript
type DikeGridPanel = DikeContentPanel | DikeGroupPanel;
```

## GetterFn\<T, R>

```typescript
type GetterFn<T extends object, R extends string | number | Date | boolean> = (entry: T) => R;
```

## SetterFn\<T, R>

```typescript
type SetterFn<T extends object, R extends string | number | Date | boolean> = (entry: T, value: R) => void
```

## ColumnMovement

```typescript
type ColumnMovement = 'swap-columns' | 'join-column-groups' | 'column-after' | 'column-before' | 'columns-to-panel';
```

## CompareColumnFn

```typescript
type CompareColumnFn = (column: DikeColumnDef) => boolean;
```

## CompareNodeFn

```typescript
type CompareNodeFn = (node: DikeNodeColumnDef) => boolean;
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dikesoft.com/reference/type-aliases/columns.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
